//* * * * * * * * * * * * * * *
//* AGS Multi-Clock Settings  *
//* Bryant Griffin            *
//* Avanguard Solutions Inc.  *
//* * * * * * * * * * * * * * *

//* * * * * * * * * *
//* Load Time Zones *
//* * * * * * * * * *
function loadTimeZoneSettings()
{
  loadTimeZones();
}

//* * * * * * * * * * * * * *
//* Populate Time Zone List *
//* * * * * * * * * * * * * *
function loadTimeZones()
{
  var tZones = null;
  var zoneCount = 0;
  var idx = 0;
  var idx2 = 0;
  var zoneNames = new Array();
  var tempArray = new Array();
  var oOption;

  tZones = System.Time.timeZones;
  zoneCount = tZones.count;
  
  for (idx = 0; idx < zoneCount; idx++)
  {
    zoneNames[idx] = [(0 - tZones.item(idx).bias), tZones.item(idx).displayName, tZones.item(idx).displayName.substr((tZones.item(idx).displayName.indexOf(")")) + 1), idx];
  }
  for (idx = 0; idx < zoneCount - 1; idx++)
  {
    for (idx2 = idx + 1; idx2 < zoneCount; idx2++)
    {
      if ((zoneNames[idx][0] > zoneNames[idx2][0]) || ((zoneNames[idx][0] == zoneNames[idx2][0]) && (zoneNames[idx][2] > zoneNames[idx2][2])))
      {
        tempArray[0] = zoneNames[idx];
        zoneNames[idx] = zoneNames[idx2];
        zoneNames[idx2] = tempArray[0];
      }
    }
  }
  for (idx = 0; idx < zoneCount; idx++)
  {
    oOption = document.createElement("OPTION");
    oOption.text = zoneNames[idx][1];
    oOption.value = zoneNames[idx][3];
    oOption.id = zoneNames[idx][1];
    s_timeZoneIndex.add(oOption); 
  }
}

//* * * * * * * * * * * * * * * * *
//* Select The Desired Time Zone  *
//* * * * * * * * * * * * * * * * *
function selectTimeZone()
{
  var zoneName = System.Time.timeZones.item(timeZoneIndex(currentClock - 1)).displayName;
  var item = s_timeZoneIndex.options.item(zoneName);
  s_timeZoneIndex.selectedIndex = item.index;
}

//* * * * * * * * * * * * * * *
//* Return Time For An Index  *
//* * * * * * * * * * * * * * *
function getTimeForZone(anIndex)
{
  var lTime = System.Time.getLocalTime(System.Time.timeZones.item(anIndex));
  return(lTime);
}

